Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.gandiva.nameservice
Class NameService

    java.lang.Object
      com.arjuna.ats.arjuna.gandiva.nameservice.NameService

public class NameService
extends java.lang.Object

NameService implementations are typically used by ObjectName to store and retrieve object data in a manner specific to the NameService. So, for example, one such implementation may use a database, whereas another may use a remote property service. These details are hidden by the implementation.

Since:
  JTS 1.0.
Version:
  $Id: NameService.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`NameService(ClassName nameServiceImpleName)` Create a new NameService using the specific implementation.
`NameService(NameService nameService)` Create a new NameService which is a copy of the one specified.
`NameService(NameServiceImple nameServiceImple)` Create a new NameService using the specific implementation.

Method Summary
`int` | `attributeType(java.lang.String objName, java.lang.String attr)` Return the type of the attribute.
`NameService` | `castup(ClassName theType)`
`ClassName` | `className()`
`void` | `copy(NameService toCopy)`
`static NameService` | `create(ClassName nameServiceImpleName)`
`void` | `finalize()`
`java.lang.String` | `firstAttributeName(java.lang.String objName)` Return the first attribute.
`ClassName` | `getClassNameAttribute(java.lang.String objName, java.lang.String attrName)` Return the named ClassName attribute.
`long` | `getLongAttribute(java.lang.String objName, java.lang.String attrName)` Return the named long attribute.
`ObjectName` | `getObjectNameAttribute(java.lang.String objName, java.lang.String attrName)` Return the named ObjectName attribute.
`java.lang.String` | `getStringAttribute(java.lang.String objName, java.lang.String attrName)` Return the named String attribute.
`Uid` | `getUidAttribute(java.lang.String objName, java.lang.String attrName)` Return the named Uid attribute.
`ClassName` | `impleClassName()`
`static ClassName` | `name()`
`java.lang.String` | `nextAttributeName(java.lang.String objName, java.lang.String attrName)` Return the next attribute.
`java.lang.String` | `removeAttribute(java.lang.String objName, java.lang.String attrName)` Remove the specified attribute and return a potentially modified ObjectName identity.
`java.lang.String` | `setClassNameAttribute(java.lang.String objName, java.lang.String attrName, ClassName value)` Set the named ClassName attribute.
`java.lang.String` | `setLongAttribute(java.lang.String objName, java.lang.String attrName, long value)` Set the named long attribute.
`java.lang.String` | `setObjectNameAttribute(java.lang.String objName, java.lang.String attrName, ObjectName value)` Set the named ObjectName attribute.
`java.lang.String` | `setStringAttribute(java.lang.String objName, java.lang.String attrName, java.lang.String value)` Set the named String attribute.
`java.lang.String` | `setUidAttribute(java.lang.String objName, java.lang.String attrName, Uid value)` Set the named Uid attribute.
`java.lang.String` | `uniqueAttributeName(java.lang.String objName)` Return a unique (within the scope of this implementation) attribute name.
`ObjectName` | `uniqueObjectName()` Return a unique (within the scope of this implementation) ObjectName, which uses this NameService.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameService

    public NameService(ClassName nameServiceImpleName)

  Create a new NameService using the specific implementation.

### NameService

    public NameService(NameService nameService)

  Create a new NameService which is a copy of the one specified.

### NameService

    public NameService(NameServiceImple nameServiceImple)

  Create a new NameService using the specific implementation.

Method Detail

### finalize

    public void finalize()

### attributeType

    public int attributeType(java.lang.String objName,
                             java.lang.String attr)
                      throws java.lang.NullPointerException,
                             java.io.IOException

  Return the type of the attribute. The ObjectName identity is given to allow implementation specific lookups.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### firstAttributeName

    public java.lang.String firstAttributeName(java.lang.String objName)
                                        throws java.lang.NullPointerException,
                                               java.io.IOException

  Return the first attribute. The ObjectName identity is given to allow implementation specific lookups.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### nextAttributeName

    public java.lang.String nextAttributeName(java.lang.String objName,
                                              java.lang.String attrName)
                                       throws java.lang.NullPointerException,
                                              java.io.IOException

  Return the next attribute. The ObjectName identity is given to allow implementation specific lookups.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### getLongAttribute

    public long getLongAttribute(java.lang.String objName,
                                 java.lang.String attrName)
                          throws java.lang.NullPointerException,
                                 java.io.IOException

  Return the named long attribute. The ObjectName identity is given to allow implementation specific lookups. If the specified attribute is not of the correct type then an IOException will be thrown.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### getStringAttribute

    public java.lang.String getStringAttribute(java.lang.String objName,
                                               java.lang.String attrName)
                                        throws java.lang.NullPointerException,
                                               java.io.IOException

  Return the named String attribute. The ObjectName identity is given to allow implementation specific lookups. If the specified attribute is not of the correct type then an IOException will be thrown.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### getObjectNameAttribute

    public ObjectName getObjectNameAttribute(java.lang.String objName,
                                             java.lang.String attrName)
                                      throws java.lang.NullPointerException,
                                             java.io.IOException

  Return the named ObjectName attribute. The ObjectName identity is given to allow implementation specific lookups. If the specified attribute is not of the correct type then an IOException will be thrown.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### getClassNameAttribute

    public ClassName getClassNameAttribute(java.lang.String objName,
                                           java.lang.String attrName)
                                    throws java.lang.NullPointerException,
                                           java.io.IOException

  Return the named ClassName attribute. The ObjectName identity is given to allow implementation specific lookups. If the specified attribute is not of the correct type then an IOException will be thrown.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### getUidAttribute

    public Uid getUidAttribute(java.lang.String objName,
                               java.lang.String attrName)
                        throws java.lang.NullPointerException,
                               java.io.IOException

  Return the named Uid attribute. The ObjectName identity is given to allow implementation specific lookups. If the specified attribute is not of the correct type then an IOException will be thrown.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### setLongAttribute

    public java.lang.String setLongAttribute(java.lang.String objName,
                                             java.lang.String attrName,
                                             long value)
                                      throws java.lang.NullPointerException,
                                             java.io.IOException

  Set the named long attribute. The ObjectName identity is given to allow implementation specific lookups. A potentially modified ObjectName identity is returned.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### setStringAttribute

    public java.lang.String setStringAttribute(java.lang.String objName,
                                               java.lang.String attrName,
                                               java.lang.String value)
                                        throws java.lang.NullPointerException,
                                               java.io.IOException

  Set the named String attribute. The ObjectName identity is given to allow implementation specific lookups. A potentially modified ObjectName identity is returned.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### setObjectNameAttribute

    public java.lang.String setObjectNameAttribute(java.lang.String objName,
                                                   java.lang.String attrName,
                                                   ObjectName value)
                                            throws java.lang.NullPointerException,
                                                   java.io.IOException

  Set the named ObjectName attribute. The ObjectName identity is given to allow implementation specific lookups. A potentially modified ObjectName identity is returned.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### setClassNameAttribute

    public java.lang.String setClassNameAttribute(java.lang.String objName,
                                                  java.lang.String attrName,
                                                  ClassName value)
                                           throws java.lang.NullPointerException,
                                                  java.io.IOException

  Set the named ClassName attribute. The ObjectName identity is given to allow implementation specific lookups. A potentially modified ObjectName identity is returned.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### setUidAttribute

    public java.lang.String setUidAttribute(java.lang.String objName,
                                            java.lang.String attrName,
                                            Uid value)
                                     throws java.lang.NullPointerException,
                                            java.io.IOException

  Set the named Uid attribute. The ObjectName identity is given to allow implementation specific lookups. A potentially modified ObjectName identity is returned.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### removeAttribute

    public java.lang.String removeAttribute(java.lang.String objName,
                                            java.lang.String attrName)
                                     throws java.lang.NullPointerException,
                                            java.io.IOException

  Remove the specified attribute and return a potentially modified ObjectName identity.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### uniqueAttributeName

    public java.lang.String uniqueAttributeName(java.lang.String objName)
                                         throws java.lang.NullPointerException,
                                                java.io.IOException

  Return a unique (within the scope of this implementation) attribute name.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### uniqueObjectName

    public ObjectName uniqueObjectName()
                                throws java.lang.NullPointerException,
                                       java.io.IOException

  Return a unique (within the scope of this implementation) ObjectName, which uses this NameService.

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

### copy

    public void copy(NameService toCopy)

### name

    public static ClassName name()

### className

    public ClassName className()

### impleClassName

    public ClassName impleClassName()

### castup

    public NameService castup(ClassName theType)

### create

    public static NameService create(ClassName nameServiceImpleName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD